Bug 91439 - rpm --rebuild --target x86_64 kernel-2.4.20-13.x.src.rpm fails due to missing .config defaults
rpm --rebuild --target x86_64 kernel-2.4.20-13.x.src.rpm fails due to missi...
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-05-22 12:36 EDT by Jack Perdue
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-08 09:10:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jack Perdue 2003-05-22 12:36:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.0.2) Gecko/20030208

Description of problem:
rpm --rebuild --target x86_64 on the kernel- 
(where x = 7, 8 or 9) source RPM fails due to missing 
config defaults.

Defaults missing are for:


Version-Release number of selected component (if applicable):
2.4.20-13.x (x=7,8,9)

How reproducible:

Steps to Reproduce:
1. rpm --rebuild --target x86_64 kernel-2.4.20-13.8.src.rpm

Actual Results:  It fails to build the binary RPMs giving the following errors:

*** End of Linux kernel configuration.
*** Check the top-level Makefile for additional configuration.
*** Next, you must run 'make dep'.

The following defaults are missing:
Machine Check Exception (CONFIG_X86_MCE) [N/y/?]
Dell laptop support (CONFIG_I8K) [N/y/m/?]
BIOS Enhanced Disk Drive calls determine boot disk (EXPERIMENTAL) (CONFIG_EDD)
Multi-node NUMA system support (CONFIG_X86_NUMA) [N/y/?]
Unsynced TSC support (CONFIG_X86_TSC_DISABLE) [N/y/?]
make: *** [oldconfig_nonint] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.75771 (%build)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.75771 (%build)

Expected Results:  It should build the binary RPMs without error.

Additional info:

The missing defaults seem to be in the i386, i686 and athlon
default configs but aren't in:

Comment 1 Arjan van de Ven 2003-05-22 14:31:53 EDT
you are doing this on an x86_64 machine, right ?
Comment 2 Jack Perdue 2003-05-22 14:38:41 EDT
I am _not_ building on an Opteron (x86_64).

If that is the problem please toss this bug 
and I'll slap myself for being silly (it looked
like it might/should work).

Comment 3 Arjan van de Ven 2003-05-22 14:43:09 EDT
what happens is that the kernel config stuff notices you're not on a amd64
machine but an x86 and it will use the x86 config.in files :(

you can cross build the kernel but it's a bit more involved (and for sure
requires a cross compiler set up properly etc etc). If you have that and want
that I can roughly outline what needs to be done

Note You need to log in before you can comment on or make changes to this bug.